Subject: suggestion: open dir in dired using same buffer

From: xah lee <[email-masked]>
Date: Wed, 10 Dec 2008 10:52:22 -0800

Hi,

I think it is a frequently requested feature to open files or sub dir  
in dired using the same buffer.

perhaps it can be made as a preference in custome-group?

in gnu.emacs.help, Leo suggests that people file a report here or  
else it'll not happen. So here it is. (i think Leo is a emacs  
developer. If not, sorry.)

   Xah
∑ http://xahlee.org/

☄

On Dec 8, 4:00 pm, Xah Lee <[email-masked]> wrote:
 > On Dec 8, 11:04 am, "[email-masked]"
 >
 > <[email-masked]> wrote:
 > > When I select a file in Dired, it opens in a new buffer.
 >
 > > The old Dired buffer still exists.
 >
 > > How automatically delete the Dired buffer when I open a new buffer
 > > with a new file from Dired?
 >
 > in dired, you can use the shortcut “a” (which invokes dired-find-
 > alternate-file).
 >
 > Or, you can use this code:
 >
 > (put 'dired-find-alternate-file 'disabled nil)
 >
 > (add-hook 'dired-mode-hook
 >  (lambda ()
 >   (define-key dired-mode-map (kbd "<return>")
 >     'dired-find-alternate-file) ; was dired-advertised-find-file
 >   (define-key dired-mode-map (kbd "^")
 >     (lambda () (interactive) (find-alternate-file "..")))
 >   ; was dired-up-directory
 >  ))
 >
 > you might make it 'enabled ... i don't recall since i stopped using
 > the above.
 >
 > I hope emacs developers makes the above into a dired preference
 > setting.
 >
 > Your question is a recurring question. For some other dired faq, see
 > bottom:
 >
 > • File Management with Emacs
 >  http://xahlee.org/emacs/file_management.html
 >
 >   Xah
 > ∑http://xahlee.org/
 >
 > ☄